# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.health
Class ProfileEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.health.BaseHealthEntry<ProfileEntry>
                      com.google.gdata.data.health.ProfileEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class ProfileEntry

extends BaseHealthEntry<ProfileEntry>

Describes a profile entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `CATEGORY` Profile kind kind category.
`static java.lang.String` `KIND` Profile kind kind term value.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ProfileEntry()` Default mutable constructor.
`ProfileEntry(BaseEntry<?> sourceEntry)` Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`ContinuityOfCareRecord` `getContinuityOfCareRecord()` Returns the continuity of care record.
`ProfileMetaData` `getProfileMetaData()` Returns the profile meta data.
`boolean` `hasContinuityOfCareRecord()` Returns whether it has the continuity of care record.
`boolean` `hasProfileMetaData()` Returns whether it has the profile meta data.
`void` `setContinuityOfCareRecord(ContinuityOfCareRecord continuityOfCareRecord)` Sets the continuity of care record.
`void` `setProfileMetaData(ProfileMetaData profileMetaData)` Sets the profile meta data.
`java.lang.String` `toString()`
`protected void` `validate()` Checks the attributes to see if there are any problems.

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KIND

    public static final java.lang.String KIND

  Profile kind kind term value.

  See Also:
    Constant Field Values

### CATEGORY

    public static final Category CATEGORY

  Profile kind kind category.

Constructor Detail

### ProfileEntry

    public ProfileEntry()

  Default mutable constructor.

### ProfileEntry

    public ProfileEntry(BaseEntry<?> sourceEntry)

  Constructs a new instance by doing a shallow copy of data from an existing `BaseEntry` instance.

  Parameters:
    `sourceEntry` - source entry

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getContinuityOfCareRecord

    public ContinuityOfCareRecord getContinuityOfCareRecord()

  Returns the continuity of care record.

  Returns:
    continuity of care record

### setContinuityOfCareRecord

    public void setContinuityOfCareRecord(ContinuityOfCareRecord continuityOfCareRecord)

  Sets the continuity of care record.

  Parameters:
    `continuityOfCareRecord` - continuity of care record or `null` to reset

### hasContinuityOfCareRecord

    public boolean hasContinuityOfCareRecord()

  Returns whether it has the continuity of care record.

  Returns:
    whether it has the continuity of care record

### getProfileMetaData

    public ProfileMetaData getProfileMetaData()

  Returns the profile meta data.

  Returns:
    profile meta data

### setProfileMetaData

    public void setProfileMetaData(ProfileMetaData profileMetaData)

  Sets the profile meta data.

  Parameters:
    `profileMetaData` - profile meta data or `null` to reset

### hasProfileMetaData

    public boolean hasProfileMetaData()

  Returns whether it has the profile meta data.

  Returns:
    whether it has the profile meta data

### validate

    protected void validate()

  Description copied from class: `AbstractExtension`
  Checks the attributes to see if there are any problems. Default implementation does nothing, though generally this is discouraged unless there really are no restrictions.

  Overrides:
    `validate` in class `AbstractExtension`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseHealthEntry<ProfileEntry>`